Release Notes Version 18.3

Latest information on the Spectera API, including detailed descriptions of new features, breaking changes, upcoming deprecations and known issues.

Version 18.3.0

New Features

  • No new features have been added in this version

Improvements

  • Command Mode: For command buttons with LED indication (e.g. SKM COM) the color can be customized now for all the available Command Mode states.
    • added property commandColors at /api/mts/paired/all/{mtUid} to configure the colors for the command button.
  • Level Recording: New flatbuffers schema version 1.1 with a bunch of new properties for extended telemetry functionality and improved versioning and compatibility checks.
    • added schema_version property explicitly to the schema definition
    • added a bunch of new properties
      • base_station and audio_interfaces represent in their sub-properties the current states and configuration of the base station and audio interfaces at the time of the level recording
    • extended the mic_link property with command_state for Command Mode representation
    • extended the seks and skms property array with command_behavior for Command Mode representation
    • Please refer to the updated schema definition file for the complete list of new properties and their description.
  • Audio Links: The request body for the POST request to /api/audio/links has been extended by the new property linkedMt to allow the atomic creation of audio links and assignment to an existing Mobile Device in one request. This ensures that Audio Links are always in use by a Mobile Device and allows for improved garbage collection of orphaned Audio Links. The new property is optional for being backwards compatible, but will become required in upcoming versions of the API.
  • RF: Removed the fixed default values from the properties frequency and bandwidthMode at /api/rf/channels/{rfChannelId}. The default values are now set by the system based on the license entitlements and the current RF restrictions. Please read the current RF restrictions at /api/rf/restrictions to find out which frequencies and bandwidths are allowed for your system.
  • Device: The request body for the GET request to /api/device/identity has been extended by the new property variant with its sub-properties articleNumber and articleName to allow clients to differentiate between hardware variants of the Spectera Base Station.
  • Network: The request body for the GET request to /api/interfaces/network has been extended by some new one-of options representing the new AoIP interface type (Ravenna) for Spectera Base Station ZMAN hardware variant.
CAUTION

Clients accessing Spectera Base Station ZMAN hardware variant need to support at least API version 18.3.

Breaking Changes

  • No breaking changes have been introduced in this version

Upcoming Deprecations

These functionalities are still available in this version but will be removed in the next major version. Please update your implementation to use the new alternatives as soon as possible to avoid disruptions when upgrading to the next major version.

  • Audio Links: The linkedMt property for the POST request to /api/audio/links will become required in the next major version of the API. Please ensure that all Audio Links are assigned to a Mobile Device when creating them.
  • Audio Interfaces + Audio IO: As preparation for upcoming new audio interface the name of the interface Dante and AudioNetwork will be replaced with the more generic name AoIP (Audio over IP). The following endpoints and properties will be replaced by adding new and removing the old ones. The old endpoints and properties are marked as deprecated until they are removed with the next major version:
    • Audio Interfaces: Endpoints /api/audio/interface/audionetwork/status and /api/audio/interface/audionetwork/clock/input/status will be replaced by /api/audio/interface/aoip/status and /api/audio/interface/aoip/clock/input/status
    • Audio Interfaces: The outputStatus/clockSource property for the following endpoints will be replaced by outputStatus/outputClockSource
      • /api/audio/interface/madi1/status
      • /api/audio/interface/madi2/status
      • /api/audio/interface/wordclock/status
    • Audio Interfaces: The clockSource property for the following endpoints will be replaced by outputClockSource
      • /api/audio/interface/madi1/output
      • /api/audio/interface/madi2/output
      • /api/audio/interface/wordclock/output
    • Audio IO: Endpoint /api/audio/levels will be replaced by /api/audio/metering while the internal properties danteIn and danteOut will be replaced by aoIpIn and aoIpOut respectively.
    • Audio IO: The source property for audio inputs /api/audio/inputs/{inputId} will be replaced by inputSource
    • Audio IO: At the audio outputs /api/audio/outputs/{outputId} the following properties will be replaced by adding new and deprecating the old ones:
      • commandModeAudioNetwork will be replaced by aoIpEnableIfCommandIsDisabled and aoIpEnableIfCommandIsEnabled
      • commandModeMadi1 will be replaced by madi1EnableIfCommandIsDisabled and madi1EnableIfCommandIsEnabled
      • commandModeMadi2 will be replaced by madi2EnableIfCommandIsDisabled and madi2EnableIfCommandIsEnabled
    • Firmware Update: The danteVersion property will be replaced by aoIpVersion in the firmware update status endpoint /api/firmware/update/state
  • Mobile Devices + RF: The ledBrightness property for paired devices at /api/mts/paired/all/{mtUid} and RF antenna configuration at /api/rf/antennas will be replaced. Please use the new connectedStateColor property for paired devices and ledColors for RF antenna configuration to set custom LED colors for the device.
  • SSC: The endpoint /api/ssc/heartbeatis going to be removed with the next major version of the API. Use /api/device/time instead.

Preliminary Features

These functionalities are not fully implemented yet and the behavior may change in future versions of the API even without deprecation announcements.

  • Mobile Devices: (Sleep Mode) sleep property for paired devices /api/mts/paired/all/{mtUid}
  • Level Recording: All endpoints and especially the schema definition for the level recording data structure are still subject to change.

Known Issues

  • RF: Although the property bandwidthMode at /api/rf/channels/{rfChannelId} can be set to the value 10000 (10 MHz) the system will never enable the RF transmission, since it is not certified yet for operation with 10 MHz bandwidth and all license entitlements will block the usage. Please choose a different bandwidth allowed with your license entitlement. Current RF restrictions can be read at /api/rf/restrictions.
  • Mobile Devices + Audio IO: There is no dedicated audio mute per Mobile Device nor per Audio I/O available yet. We assume that the audio muting will be done outside the Spectera system e.g. on a mixing console.